%
%  default_stimulus_parameters()
%

function params = default_stimulus_parameters()
    
    params.image_size = 64; % powers of 2 are better for some FFT stuff
    params.n_frames = 21; % simulations usually cover 20 time units
    
    % type specifies the relationship between foreground and background
    
    params.type = 'kaplan'; % michotte, kaplan, royden, koenderink, foreground_only
    params.boundary_velocity = [0 0];
    
    % texture can be: dense, random, white, gray, black, stripes, ramp,
    % sawtooth, sinusoid, grayscale
    
    params.fg_texture = 'random';
    params.bg_texture = 'random';
    params.fg_velocity = [1 0];
    params.bg_velocity = [0 0];
    params.fg_period = 8;
    params.bg_period = 8;
    
    params.dot_size = 5;
    params.dot_spacing = 4 * params.dot_size;
    params.dot_shape = 'circle'; % circle, square, diamond
    
    params.royden.aspect_ratio = 2;
    params.sparse_regular.spacing = 2;
    params.twoframe.density = 0.1;
    
    params.saving.filename = 'kaplan_deletion';
    params.saving.directory = 'movies/';
    params.saving.save_mat = true;
    params.saving.save_all_frames = false;
    params.saving.save_movies = true;
    params.saving.fps = 10;
    
return
