% red-blue movie of depth

filename = 'depth_redblue.avi';

% start

samplingRate = 2000; % samples per second 
frameRate = 50;
skip = samplingRate / frameRate;

redColor = [ 255, 0, 0 ] ./ 255.0;
greenColor = [ 0, 255, 0 ] ./ 255.0;
orangeColor = [ 232, 141, 44 ] ./ 255.0;
grayColor = [ 200, 200, 200 ] ./ 255.0;
bluishColor = [83, 69, 214 ] ./ 255.0;
bluColor = [0, 0, 255 ] ./ 255.0;
purpleColor = [255, 0, 255 ] ./ 255.0;
blackColor = [0, 0, 0 ] ./ 255.0;

gray08 = [ 0.8, 0.8, 0.8 ];
red08  = [ 1.0, 0.7, 0.8 ];
blue08 = [ 0.8, 0.8, 1.0];

gray05 = [ 0.50, 0.40, 0.50 ];
red05  = [ 1.00, 0.28, 0.28 ];
blue05 = [ 0.44, 0.44, 1.00 ];
blue03 = [ 0.30, 0.30, 1.00 ];

nCol = red05;
mCol = gray05;
fCol = blue05;

nCol = redColor;
fCol = blue03;
mCol = blackColor;

movieFileObject = VideoWriter(filename);
movieFileObject.FrameRate = frameRate;
open(movieFileObject);

for t = 1 : skip : 40001
    
    dd = depth.ans.Data(:,:,:,t);
    gg = dd(:,:,1);
    gg = (dd(:,:,1) + 0.5 * dd(:,:,2)) ./ (0.1 + dd(:,:,1) + dd(:,:,2) + dd(:,:,3));
    
    % 
    
    ggg = (dd(:,:,1) - dd(:,:,3)) ./ (0.1 + dd(:,:,1) + dd(:,:,2) + dd(:,:,3));
    gg = ones(size(dd));
    
    for c = 1 : 3
        gg(:,:,c) = mCol(c) + 2.5 * max(ggg(:,:), 0) * (nCol(c) - mCol(c)) + 5.0 * max(- ggg(:,:), 0) * (fCol(c) - mCol(c));
%       gg(:,:,c) = mCol(c) + 2.5 * max(ggg(:,:), 0) * (nCol(c) - mCol(c)) + 7.0 * max(- ggg(:,:), 0) * (fCol(c) - mCol(c));
    end
    
    % weighted
    
    den = dd(:,:,1) + dd(:,:,2) + dd(:,:,3);
    den(den(:,:) == 0) = 1.0;
    
    for c = 1 : 3
%        gg(:,:,c) = (nCol(c) * dd(:,:,1) + mCol(c) * dd(:,:,2) + fCol(c) * dd(:,:,3)) ./ den(:,:);
    end
    
    %
    
    

%    imagesc(gg);
%    colormap('gray');
    
%    xlim([7 58]);
%    ylim([7 58]);
    
%    imshow(gg(7:58,7:58,:), 'InitialMagnification', 500);
    imshow(gg(9:56,9:56,:), 'InitialMagnification', 800);

%    xlim([7 58]);
%    ylim([7 58]);
    axis('off');
    
    drawnow
    frame = getframe;
    writeVideo(movieFileObject, frame);
    
end

close(movieFileObject);
