% red-blue movie of push-pull signals

% will need, push and pull signals, motion, and boundaries as well

push = load('push_to_back.mat');
pull = load('pull_to_front.mat');
boundaries = load('bipole.mat');
motion = load('motion_fcs.mat');

push = push.ans.Data;
pull = pull.ans.Data;
boundaries = boundaries.ans.Data;
motion = sum(motion.ans.Data,3);

filename = 'push-pull.avi';

% start

samplingLength = 20; % seconds
samplingRate = 50; % samples per second 
frameRate = 50;
skip = samplingRate / frameRate;

redColor = [ 255, 0, 0 ] ./ 255.0;
greenColor = [ 0, 255, 0 ] ./ 255.0;
orangeColor = [ 232, 141, 44 ] ./ 255.0;
grayColor = [ 200, 200, 200 ] ./ 255.0;
bluishColor = [83, 69, 214 ] ./ 255.0;
bluColor = [0, 0, 255 ] ./ 255.0;
purpleColor = [255, 0, 255 ] ./ 255.0;
blackColor = [0, 0, 0 ] ./ 255.0;

gray08 = [ 0.8, 0.8, 0.8 ];
red08  = [ 1.0, 0.7, 0.8 ];
blue08 = [ 0.8, 0.8, 1.0];

gray05 = [ 0.50, 0.40, 0.50 ];
red05  = [ 1.00, 0.28, 0.28 ];
blue05 = [ 0.44, 0.44, 1.00 ];
blue03 = [ 0.30, 0.30, 1.00 ];

nCol = red05;
mCol = gray05;
fCol = blue05;

nCol = redColor;
fCol = blue03;
mCol = blackColor;

sCol = blackColor;
rCol = redColor;
bCol = blue03;


movieFileObject = VideoWriter(filename);
movieFileObject.FrameRate = frameRate;
open(movieFileObject);

zz = pull(:,:,1);
zz = zeros(size(zz,1), size(zz, 2), 3);

for t = 1 : skip : samplingRate * samplingLength + 1
    
    mm = zz;
    
    for c = 1 : 3
        
        v(:,:) = sCol(c) + 0.9 * rCol(c) * pull(:,:,t) + 0.9 * bCol(c) * push(:,:,t) + 1.3 * rCol(c) * motion(:,:,1,t);
        
        mm(:,:,c) = min(1,v(:,:));
        
    end
    
    imshow(mm(9:56,9:56,:), 'InitialMagnification', 800);

    axis('off');
    
    drawnow
    frame = getframe;
    writeVideo(movieFileObject, frame);
    
end

close(movieFileObject);
